package com.chelvc.framework.wechat;

import java.io.Serializable;
import java.math.BigDecimal;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 微信代金劵信息
 *
 * @author Woody
 * @date 2025/6/10
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class WechatCoupon implements Serializable {
    /**
     * 代金券ID
     */
    private String id;

    /**
     * 代金券类型
     */
    private String type;

    /**
     * 代金券金额
     */
    private BigDecimal amount;
}
